using System;

namespace PalindromSafl
{
    class Program
    {
        static void Main(string[] args)
        {
            char[] red = Console.ReadLine().ToCharArray();
            int prvob=0;
            int drugob=0;
            for (int i = 0; i < red.Length; i++) 
            {
                if (red[i] == 'b') 
                {
                    prvob = i;
                    break;
                }
            }
            for (int i = prvob+1; i < red.Length; i++)
            {
                if (red[i] == 'b')
                {
                    drugob = i;
                    break;
                }
            }
            Console.WriteLine(prvob - drugob + red.Length);
        }
    }
}